Bug 892330 (CVE-2013-0157)

Summary: CVE-2013-0157 util-linux: mount folder existence information disclosure
Product: [Other] Security Response Reporter: Kurt Seifried <kseifried>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: bblaskov, jonathan, kzak, mluscon
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=low,public=20130105,reported=20130106,source=oss-security,cvss2=2.1/AV:L/AC:L/Au:N/C:P/I:N/A:N,rhel-4/util-linux=wontfix,rhel-5/util-linux=wontfix,rhel-6/util-linux-ng=wontfix,fedora-all/util-linux=affected
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-22 02:17:58 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 892391, 892456, 892471    
Bug Blocks: 855229, 892331    

Description Kurt Seifried 2013-01-06 13:00:55 EST
This was originally reported by Jann Horn (jannhorn@googlemail.com):

mount discloses information about folders not accessible for a user:

$ ls -ld /root/.ssh
ls: cannot access /root/.ssh: Permission denied
$ ls -ld /root/.foo
ls: cannot access /root/.foo: Permission denied

First variant:

$ mount --guess-fstype /root/.ssh/../../dev/sda1
ext4
$ mount --guess-fstype /root/.foo/../../dev/sda1
unknown

Second one:

$ mount /root/.ssh/../../dev/cdrom
mount: no medium found on /dev/sr0
$ mount /root/.foo/../../dev/cdrom
mount: can't find /root/.foo/../../dev/cdrom in /etc/fstab or /etc/mtab

These issues were, as far as I can see, fixed in the following upstream commits:
 - 0377ef91270d06592a0d4dd009c29e7b1ff9c9b8
 - 33c5fd0c5a774458470c86f9d318d8c48a9c9ccb
 - 5ebbc3865d1e53ef42e5f121c41faab23dd59075
 - cc8cc8f32c863f3ae6a8a88e97b47bcd6a21825f

External references:
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=697464
Comment 2 Kurt Seifried 2013-01-06 20:11:57 EST
Created util-linux tracking bugs for this issue

Affects: fedora-16 [bug 892391]
Comment 4 Huzaifa S. Sidhpurwala 2013-01-07 02:39:31 EST
The following upstream commits address this issue:
(For both util-linux as well as util-linux-ng)

1. Adds canonicalize_path_restricted() to canonicalize without suid permisssions
http://git.kernel.org/?p=utils/util-linux/util-linux.git;a=commit;h=33c5fd0c5a774458470c86f9d318d8c48a9c9ccb

2. sanitize path for non-root users (mount):
http://git.kernel.org/?p=utils/util-linux/util-linux.git;a=commit;h=5ebbc3865d1e53ef42e5f121c41faab23dd59075

3. sanitize path for non-root users (umount):
http://git.kernel.org/?p=utils/util-linux/util-linux.git;a=commit;h=cc8cc8f32c863f3ae6a8a88e97b47bcd6a21825f

4. drop the --guess-fstype option:
http://git.kernel.org/?p=utils/util-linux/util-linux.git;a=commit;h=0377ef91270d06592a0d4dd009c29e7b1ff9c9b8
Comment 6 Huzaifa S. Sidhpurwala 2013-01-07 02:41:15 EST
This issue affects the version of util-linux as shipped with Fedora 16 and Fedora-17
Comment 7 Huzaifa S. Sidhpurwala 2013-01-07 02:42:26 EST
Created util-linux tracking bugs for this issue

Affects: fedora-17 [bug 892456]
Comment 9 errata-xmlrpc 2013-02-21 05:23:29 EST
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0517 https://rhn.redhat.com/errata/RHSA-2013-0517.html
Comment 14 Vincent Danen 2015-08-22 02:17:49 EDT
Statement:

Red Hat Enterprise Linux 5 is now in Production 3 Phase of the support and maintenance life cycle. This has been rated as having Low security impact and is not currently planned to be addressed in future updates. For additional information, refer to the Red Hat Enterprise Linux Life Cycle: https://access.redhat.com/support/policy/updates/errata/.